ISXEQ2 - Bug #1554

Me.Inventory[<item>]:Equip tries to use item from bank instead of inventory
2015-12-23 01:27 PM - user01

Status: Resolved
Priority: Normal
Assignee: Amadeus
Category:

Target version:

vbulletin_issue_id:

Description
Scenario:

Dawn Bow in inventory bag 6

Dawn Bow in shared bank #7

From some random heroic | execute Me.Inventory[Dawn Bow]:Equip command and get "You are not currently in a bank transaction”
message. If | delete the dawn bow from bank, it works.

History

#1 - 2015-12-23 01:56 PM - user01
Apparently this is working as intended. NVM.

#2 - 2015-12-23 03:53 PM - Amadeus
- Status changed from New to Resolved

- Assignee set to Amadeus

Yea, the Inventory member of the character datatype does include everything in your bags and bank. In the past, I've always been able to use the
"ExactName" parameter to distinguish; however, that would not help in this case.

I will try and do this soon myself; however, if you want, you could make a forge feature request (so that | don't forget) so that | add a parameter to
https:/forge.isxgames.com/projects/isxeq2/wiki/ltem_Search_Forms_and Parameters so that you could do something like ${Me.Inventory[AtHand,
"Dawn Bow"]} ..which, would only search for items that are at-hand and usable. (I would also add a InBank and perhaps even InGuildBank to go
along with it.)

Otherwise, the only way to do it properly (right now) would be to use the Get InventoryAtHand member of the character datatype, and then itereate
through the returned array for the bow.

#3 - 2015-12-24 12:40 AM - Amadeus

December 24, 2015

[20151222.0002]

* Added new inventory search parameter "AtHand". When used, this boolean setting will ensure that any
item returned is "at hand" (i.e., in one of the containers you have with you currently.) For more
information, see Item Search Forms and Parameters.
